### Method

# GLib Date get_week_of_year

since: 2.86

#### Declaration [src]

    guint
    g_date_get_week_of_year (
      const GDate* date,
      GDateWeekday first_day_of_week
    )

#### Description [src]

Calculates the week of the year during which this date falls.

The result depends on which day is considered the first day of the week, which varies by locale. Both `date` and `first_day_of_week` must be valid.

If `date` is before the start of the first week of the year (for example, before the first Monday in January if `first_day_of_week` is `G_DATE_MONDAY`) then zero will be returned.

Available since: 2.86

#### Parameters

`first_day_of_week`

  Type: `GDateWeekday`

  The day which is considered the first day of the week (for example, this would be `G_DATE_SUNDAY` in US locales, `G_DATE_MONDAY` in British locales, and `G_DATE_SATURDAY` in Egyptian locales.

#### Return value

Type: `guint`

Week number (starting from 1), or `0` if `date` is before the start of the first week of the year.